<?php
namespace Bushelpowered\Api\Fulfillment\Ticket\V1\Common;
        
class Filters 
{
    /** @var string[]|null $commodityCodes */
    public ?array $commodityCodes = null;
    public ?int $startDate = null;
    public ?int $endDate = null;
    /** @var string[]|null $locationIds */
    public ?array $locationIds = null;

    /**
     * @param  string[]|null  $commodityCodes
     * @param  null  $startDate
     * @param  null  $endDate
     * @param  string[]|null  $locationIds
     */
    public function __construct(?array $commodityCodes, ?int $startDate, ?int $endDate, ?array $locationIds)
    {
        $this->commodityCodes = $commodityCodes;
        $this->startDate = $startDate;
        $this->endDate = $endDate;
        $this->locationIds = $locationIds;
    }
    

}