<?php
namespace Bushelpowered\Api\Iam\Access\Manage\V1\Response;
        
class RolePermissionsResponse implements Api\Iam\Access\Common\V1\Mixins\HasOptionalResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Permission[] $data */
    public array $data;
    public \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Permission[]  $data
     * @param  null  $resultWindow
     */
    public function __construct(array $data, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->data = $data;
        $this->resultWindow = $resultWindow;
    }
    
    public function getResultWindow(): \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}