<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Response;
        
class TenantCommodityListResponse implements Api\Common\ReturnsPaginationTokens
{
    /** @var \Bushelpowered\Api\Platform\Commodity\V1\Model\TenantCommodityStandard[] $data */
    public array $data;
    public ?string $continuationToken = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Commodity\V1\Model\TenantCommodityStandard[]  $data
     * @param  null  $continuationToken
     */
    public function __construct(array $data, ?string $continuationToken)
    {
        $this->data = $data;
        $this->continuationToken = $continuationToken;
    }
    
    public function getContinuationToken(): ?string
    {
        return $this->continuationToken;
    }
}